# Class CommandExecutor

java.lang.Object
org.apache.zookeeper.server.command.CommandExecutor

public class CommandExecutor extends Object

## Constructor Summary

Constructors
Constructor
Description
`CommandExecutor()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`execute(ServerCnxn serverCnxn, PrintWriter pwriter, int commandCode, ZooKeeperServer zkServer, ServerCnxnFactory factory)`
This class decides which command to be executed and then executes

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandExecutor

public CommandExecutor()

## Method Details

### execute

public boolean execute(ServerCnxn serverCnxn, PrintWriter pwriter, int commandCode, ZooKeeperServer zkServer, ServerCnxnFactory factory)
This class decides which command to be executed and then executes